Xen ubuntu

 
 
 

Ubuntu 7.10

The Ubuntu Gutsy repository has Xen available in the repository. To get it,

# apt-get install ubuntu-xen-server 
# apt-get install python-paramiko 

And follow the tarball installation instruction for ConVirt with the following caveats. (till ConVirt becomes available in the repository)

The patch_paramiko script assumes paramiko to be installed under /usr/lib/python directory. This is not true for Ubuntu. These are found under /var/lib/python-support/python2.5/paramiko. The paramiko version currently in is version 1.6.4. So to apply the patch manually do the following

# cd /var/lib/python-support/python2.5/paramiko
# cp packet.py packet.py.orig
# cp /path/to/convirt/patches/paramiko.packet.py.1.6.4 

To use it as a managed server or do management of the local host on which ConVirt is installed, 1. run the config script script under config-script directory.

# ./configure-xend.sh 3.1 

2. The hvmloader and the qemu-dm path are not as expected. Create the following symlinks to fix the problem.

# cd /usr/lib/xen
# ln -s ../xen-ioemu-3.1/boot boot
# cd bin
# ln -s ../../xen-ioemu-3.1/bin/qemu-dm qemu-dm

3. Take a look at the Validate the Bridge Setup under Debian section.

Ubuntu 8.04

To install ConVirt 0.8.2 on Ubuntu 8.04:

  1. Download packages for SuSE
  2. Convert ConVirt rpm to deb with alien
  3. Install python-xen-3.2
  4. Install the converted deb file
# sudo apt-get install alien
# sudo alien -d convirt-0.8.2-1.suse.noarch.rpm
# sudo apt-get install python-xen-3.2
# sudo dpkg -i convirt_0.8.2-2_all.deb

To run convirt use sudo or gksudo (if you want create activator on bar or desktop. )


Thanks a lot for the tip! I tried it with version 0.9 and it worked.

 
Tem mais dúvidas? Submeter um pedido

Comentários

 
Adding comment, please wait....

Provide Feedback on Article:

Subject:
Comments:*
Powered by Zendesk